apiVersion: v1
kind: ResourceQuota
metadata:
  name: {{ quota_name | default('default') }}
  namespace: "{{ namespace }}"
spec:
  hard:
{% if max_configmaps | default(False) %}
    configmaps: "{{ max_configmaps }}"
{% endif %}
    limits.cpu: "{{ max_cpu_per_project | default('16') }}"
    limits.memory: "{{ max_memory_per_project | default('128Gi') }}"
    persistentvolumeclaims: "{{ max_pvc_per_project | default('30') }}"
    pods: "{{ max_pods_per_project | default('50') }}"
    requests.cpu: "{{ max_cpu_per_project | default('16') }}"
    requests.memory: "{{ max_memory_per_project | default('128Gi') }}"
    requests.storage: "{{ max_cumulated_pvc_size | default('1024Gi') }}"
{% if max_secrets | default(False) %}
    secrets: "{{ max_secrets }}"
{% endif %}
{% if max_services | default(False) %}
    services: "{{ max_services }}"
{% endif %}
{% if max_lb_services | default(False) %}
    services.loadbalancers: "{{ max_lb_services }}"
{% endif %}
